%global fullname org.xfce.Parole

Name:           parole
Version:        4.16.0
Release:        1
Summary:        Media player for the Xfce desktop
License:        GPLv2+
#Group:          Development/Libraries
URL:            http://goodies.xfce.org/projects/applications/parole
Source0:        http://archive.xfce.org/src/apps/%{name}/4.16/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gcc
BuildRequires:  clutter-devel >= 1.16.4
BuildRequires:  clutter-gtk-devel >= 1.4.4
BuildRequires:  dbus-devel >= 0.60
BuildRequires:  dbus-glib-devel >= 0.70
BuildRequires:  gtk3-devel >= 3.2.0
BuildRequires:  glib2-devel >= 2.32.0
BuildRequires:  gstreamer1-plugins-base-devel >= 0.10.11
BuildRequires:  libnotify-devel >= 0.4.1
BuildRequires:  libxfce4ui-devel >= 4.11.0
BuildRequires:  libxfce4util-devel >= 4.10.0
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  xfconf-devel >= 4.10.0
BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils
BuildRequires:  gettext 
BuildRequires:  intltool >= 0.35
BuildRequires:  gtk-doc

Requires:       gstreamer1-plugins-good

%description
Parole is a modern simple media player based on the GStreamer framework and 
written to fit well in the Xfce desktop. Parole features playback of local 
media files, DVD/CD and live streams. Parole is extensible via plugins.

The project still in its early developments stage, but already contains the 
following features:
* Audio playback
* Video playback with optional subtitle
* Playback of live sources

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains header files for developing plugins for 
%{name}.

%prep
%setup -q

%build

%configure --disable-static --enable-gtk-doc --enable-clutter
%{make_build}

%install
%make_install

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

desktop-file-install                                    \
  --delete-original                                     \
  --remove-mime-type=video/x-totem-stream               \
  --dir=%{buildroot}%{_datadir}/applications            \
  %{buildroot}/%{_datadir}/applications/%{fullname}.desktop

# clean up appdata file
sed -i 's/<\/em>//' %{buildroot}/%{_datadir}/metainfo/*.appdata.xml
sed -i 's/<em>//' %{buildroot}/%{_datadir}/metainfo/*.appdata.xml

appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.appdata.xml

%ldconfig_scriptlets

%files -f %{name}.lang
%license COPYING
%doc AUTHORS TODO THANKS
%{_bindir}/%{name}
%dir %{_libdir}/%{name}-0/
%{_libdir}/%{name}-0/*.so
%{_datadir}/applications/%{fullname}.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml

%files devel
%doc %{_datadir}/gtk-doc/
%{_includedir}/%{name}/

%changelog
* Thu Jun 23 2022 Dillon Chen <dillon.chen@gmail.com> - 4.16.0-1
- update to 4.16.0

* Mon Jul 27 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 1.0.5-1
- Init package
